Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001672 [Piwigo] language trivial always 2010.05.22 13:22 2010.05.25 00:33
Reporter Gotcha View Status public  
Assigned To Gotcha
Priority low Resolution fixed Platform Microsoft
Status closed   OS Windows Seven
Projection none   OS Version x64
ETA none Fixed in Version 2.1.1 Product Version
  Target Version 2.1.1 Product Build
Summary 0001672: Change language key "Note: Only deletes photos added with pLoader"
Description This note is not exactly but pLoader isn't the only one with being used to add pictures.
"API" is more exactly.
Steps To Reproduce Administrator Caddie.
Additional Information http://fr.piwigo.org/forum/viewtopic.php?id=17777 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003875)
plg (manager)
2010.05.22 14:57

Let's take the opposite: "photos added with synchronization can only be deleted with synchronization"
(0003876)
Gotcha (developer)
2010.05.22 15:32

Can I make this operation in the branch 2.1?
(0003877)
plg (manager)
2010.05.22 15:42

Yes but don't change the language value, change the language key. Then remove the old key from all languages and add it in languages you're fluent with (French/English).

I propose the following language key:

Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.
(0003880)
svn (reporter)
2010.05.23 12:14

[Subversion] r6289 by Gotcha on branch 2.1

-----[Subversion commit log]----------------------------------------------------
Change the language key.
Old => "Note: Only deletes photos added with pLoader"
New => "Note: Only deletes photos added with API"
Removal of the old keys in all the languages.
MAJ New key for en_EN & fr_FR
bug:1672
(0003881)
Gotcha (developer)
2010.05.23 12:15

@plg :
I await your green light for merge towards trunk
(0003892)
plg (manager)
2010.05.23 17:16

> I await your green light for merge towards trunk

That's not good. The language key must be equal to the language value in english.
(0003918)
svn (reporter)
2010.05.25 00:06

[Subversion] r6345 by Gotcha on branch 2.1

-----[Subversion commit log]----------------------------------------------------
cancellation and replacement r6289

Change language key "Note: Only deletes photos added with pLoader"
bug:1672
(0003919)
svn (reporter)
2010.05.25 00:17

[Subversion] r6347 by plg on branch 2.1

-----[Subversion commit log]----------------------------------------------------
bug 1672: replace the language key where it's used.
(0003920)
svn (reporter)
2010.05.25 00:19

[Subversion] r6348 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r6347 from branch 2.1 to trunk

bug 1672: replace the language key where it's used.
(0003921)
Gotcha (developer)
2010.05.25 00:23

[r6346] merge r6345 from branch 2.1 to trunk

- Issue History
Date Modified Username Field Change
2010.05.22 13:22 Gotcha New Issue
2010.05.22 13:22 Gotcha browser => any
2010.05.22 13:22 Gotcha Web server => Apache 1.3.x
2010.05.22 14:57 plg Note Added: 0003875
2010.05.22 15:30 Gotcha Status new => assigned
2010.05.22 15:30 Gotcha Assigned To => Gotcha
2010.05.22 15:32 Gotcha Note Added: 0003876
2010.05.22 15:42 plg Note Added: 0003877
2010.05.23 09:25 Gotcha Status assigned => acknowledged
2010.05.23 12:14 svn Checkin
2010.05.23 12:14 svn Note Added: 0003880
2010.05.23 12:15 Gotcha Note Added: 0003881
2010.05.23 17:16 plg Note Added: 0003892
2010.05.25 00:06 svn Checkin
2010.05.25 00:06 svn Note Added: 0003918
2010.05.25 00:17 svn Checkin
2010.05.25 00:17 svn Note Added: 0003919
2010.05.25 00:19 svn Checkin
2010.05.25 00:19 svn Note Added: 0003920
2010.05.25 00:23 Gotcha Note Added: 0003921
2010.05.25 00:23 Gotcha Status acknowledged => resolved
2010.05.25 00:23 Gotcha Resolution open => fixed
2010.05.25 00:33 plg Status resolved => closed
2010.05.25 00:33 plg Fixed in Version => 2.1.1
2010.05.25 00:33 plg Target Version => 2.1.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker